Download it now!
Bug 98957 - EDITING: conditional formatting lost after paste special as bitmap
Summary: EDITING: conditional formatting lost after paste special as bitmap
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Conditional-Formatting
  Show dependency treegraph
 
Reported: 2016-03-29 14:07 UTC by Marina Latini (CIB)
Modified: 2018-12-21 08:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
test file with basic conditional format (9.55 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-03-29 14:07 UTC, Marina Latini (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marina Latini (CIB) 2016-03-29 14:07:50 UTC
Created attachment 123921 [details]
test file with basic conditional format

Description: conditional formatting lost after paste special as bitmap
Steps:

1) Create a sheet with conditional format (or open the attached file)
2) Copy the formatted area
3) Paste special as bitmap (using the paste special dropdown list on the toolbar)

Expected:
The area is pasted as bitmap with all the styles

Current:
The area is pasted as bitmap but the conditional format is lost

Verified on:
Version: 5.0.5.2
Build ID: 55b006a02d247b5f7215fc6ea0fde844b30035b3
Locale: it-IT (it_IT.UTF-8)
OS: openSUSE Tumbleweed (20160117) (x86_64)

Version: 5.1.0.3
Build ID: 10m0(Build:3)
CPU Threads: 4; OS Version: Linux 4.4; UI Render: default; 
Locale: it-IT (it_IT.UTF-8)
OS: openSUSE Tumbleweed (20160117) (x86_64)
Comment 1 Marina Latini (CIB) 2016-03-29 14:29:46 UTC
Verified on:
Version: 4.4.7.2
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
locale: it_IT.UTF-8
OS: openSUSE Tumbleweed (20160117) (x86_64)

--> changed Version to 4.4.7.2
Comment 2 Marina Latini (CIB) 2016-03-29 14:56:52 UTC
Verified on:

Version 3.6.7.2 (Build ID: e183d5b)
Locale: it-IT (it_IT.UTF-8)
OS: openSUSE Tumbleweed (20160117) (x86_64)

Version 3.5.7.2 
Build ID: 3215f89-f603614-ab984f2-7348103-1225a5b
Locale: it-IT (it_IT.UTF-8)
OS: openSUSE Tumbleweed (20160117) (x86_64)
Comment 3 m.a.riosv 2016-03-31 00:33:21 UTC
Reproducible:
Win10x64
Version: 5.1.2.1 (x64)
Build ID: 2603b69c5ec5981bb5f053f8ebfd1f3de00a4c29
CPU Threads: 1; OS Version: Windows 6.19; UI Render: GL;
Comment 4 Markus Mohrhard 2017-04-08 18:48:03 UTC
Seems to work in master. Please close as WORKSFORME if that is the case for you as well. Otherwise we need more information.
Comment 5 m.a.riosv 2017-04-14 00:29:41 UTC
Sorry @Markus, not for me with (clean profile):
Version: 5.4.0.0.alpha0+
Build ID: cfd5f4158bd7bfc5714e9bf23b7a71b2d769a644
CPU threads: 4; OS: Windows 6.2; UI render: GL; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2017-04-11_20:19:26
Locale: es-ES (es_ES); Calc: CL

Could be some option producing the issue?
Comment 6 Marina Latini (CIB) 2017-06-19 10:58:16 UTC
Repro on:

Versione: 5.4.0.0.beta2
Build ID: 3cc1cdd8ee50f144e5514da51800a08119754d8f
CPU threads: 4; OS: Windows 6.1; UI render: predefinito; 
Versione locale: it-IT (it_IT); Calc: group
OS: Win 7 Home Premium SP1

Version: 6.0.0.0.alpha0+
Build ID: c50ae538a6656889c68c43bd9fe0347c61c82aa5
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-06-18_23:58:50
Locale: it-IT (it_IT); Calc: group
OS: Win 7 Home Premium SP1


New useful infos.
I notice that the issue occurrs with some conditional formatting with formulas as conditions.

try to reproduce directly with the attachment 123921 [details].
The formulas are applied on range A2:B6
Condition 1: MOD(ROW(A2);2)=1
Condition 2: MOD(ROW(A2);2)=0
Comment 7 Xisco Faulí 2017-06-19 11:06:39 UTC
Confirmed in

- Version: 6.0.0.0.alpha0+
Build ID: 9e4502f0e393d2bc2810488b3ebb0a5c23038436
CPU threads: 1; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-06-16_08:52:00
Locale: es-ES (es_ES); Calc: group

- Version: 6.0.0.0.alpha0+
Build ID: 08f6f9dded1b142b858c455da03319abac691655
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

- Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

- Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

- LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 8 QA Administrators 2018-07-18 02:38:47 UTC Comment hidden (obsolete)
Comment 9 Marina Latini (CIB) 2018-12-21 08:36:36 UTC
Repro with:
Versione: 6.2.0.1 (x64)
Build ID: 0412ee99e862f384c1106d0841a950c4cfaa9df1
Thread CPU: 4; SO: Windows 10.0; Resa interfaccia: GL; VCL: win; 
Versione locale: de-DE (en_US); UI-Language: it-IT
Calc: threaded